Groovy Documentation

## groovy.lang
[Java] Class MissingMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingMethodException

    public class MissingMethodException
    extends GroovyRuntimeException

An exception occurred if a dynamic method dispatch fails with an unknown method.

Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`MissingMethodException(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments)`
`MissingMethodException(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments, boolean isStatic)`

Method Summary
`java.lang.Object[]` | `getArguments()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMethod()` @return the name of the method that could not be found
`java.lang.Class` | `getType()` @return The type on which the method was attempted to be called
`boolean` | `isStatic()` @return Whether the method was called in a static way, i.e. on a class rather than an object.

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### MissingMethodException

    public MissingMethodException(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments)

### MissingMethodException

    public MissingMethodException(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments, boolean isStatic)

Method Detail

### getArguments

    public java.lang.Object[] getArguments()

### getMessage

    public java.lang.String getMessage()

### getMethod

    public java.lang.String getMethod()

  Returns:
    the name of the method that could not be found

### getType

    public java.lang.Class getType()

  Returns:
    The type on which the method was attempted to be called

### isStatic

    public boolean isStatic()

  Returns:
    Whether the method was called in a static way, i.e. on a class rather than an object.

Groovy Documentation